INSERT INTO procs set name='Historique des emprunts - Par lecteur (nom)', requete='SELECT date_format(current_date , \'%d/%m/%Y\') AS \'Imprimé le \', empr_categ.libelle as \'Catégorie\', empr_codestat.libelle as \'Code stat.\', empr_cb as \'N° lecteur\', concat(empr_nom,\' \',empr_prenom) as Lecteur, location_libelle as Localisation, expl_cote as Cote, expl_cb as \'Code-barres\', (CASE WHEN expl_notice>0 THEN (CASE WHEN serie_name IS NOT NULL THEN CONCAT(serie_name,\' - \', n1.tit1) ELSE n1.tit1 END) ELSE n2.tit1 END) as Titre, (CASE WHEN expl_notice>0 THEN CONCAT(author_name, \', \', author_rejete) ELSE CONCAT(\'N° \', bulletin_numero, \' - \', mention_date) END) as \'Auteur / Bulletin\',  date_format(exemplaires.create_date, \'%d/%m/%Y\') AS \'Date de création\', date_format(arc_debut , \'%d/%m/%Y\') as \'Date de prêt\', (CASE WHEN pret_idexpl IS NULL THEN date_format(arc_fin , \'%d/%m/%Y\') ELSE \'\' END) as \'Rendu le\', (CASE WHEN pret_idexpl IS NOT NULL AND pret_retour >= current_date THEN date_format(pret_retour, \'%d/%m/%Y\') ELSE \'\' END) as \'A rendre le\', (CASE WHEN pret_idexpl IS NOT NULL AND pret_retour < current_date THEN date_format(pret_retour, \'%d/%m/%Y\') ELSE \'\' END) as \'En retard depuis\' FROM (((((((((pret_archive, empr, docs_location, exemplaires LEFT JOIN notices as n1 ON expl_notice= notice_id) LEFT JOIN series on n1.tparent_id=serie_id)  LEFT JOIN responsability ON (n1.notice_id = responsability_notice and responsability_type=0)) LEFT JOIN authors ON responsability_author = author_id)  LEFT JOIN bulletins ON expl_bulletin = bulletin_id) LEFT JOIN notices as n2 ON bulletin_notice = n2.notice_id) LEFT JOIN empr_categ ON arc_empr_categ = id_categ_empr) LEFT JOIN empr_codestat ON arc_empr_codestat = idcode)  LEFT JOIN pret ON arc_id_empr = pret_idempr AND arc_expl_id = pret_idexpl and arc_debut = pret_date) WHERE arc_id_empr = (!!lecteurs!!) and arc_id_empr = id_empr and arc_expl_id = expl_id AND expl_location = idlocation GROUP BY arc_id ORDER BY location_libelle, date(arc_debut)', comment='Nom de lecteur à choisir dans une liste - Tri par localisation et par date - Ne mentionne que les prêts dont l\'exemplaire ET le lecteur sont identifiés', autorisations='1', parameters='<?xml version=\"1.0\" encoding=\"utf-8\"?>
<FIELDS>
 <FIELD NAME=\"lecteurs\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Lecteur]]></ALIAS>
  <TYPE>query_list</TYPE>
<OPTIONS FOR=\"query_list\">
 <QUERY><![CDATA[select id_empr, CONCAT(empr_nom,\' \',empr_prenom, \' - N° \', empr_cb) from empr order by empr_nom, empr_prenom]]></QUERY>
 <MULTIPLE>no</MULTIPLE>
 <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>

</FIELDS>' 
#charset=utf-8